QGIS Application - Bug report #5786
"Text annotation” map tool not correctly interacting with other map tools
2012-06-12 03:41 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 15278
Description

When selecting the "Text annotation" map tool, the button of any other map tool isn't depressed. But the "Text annotation” button itself
gets depressed when re-selecting any other map tool (even the still pressed one).

This is with current 1.8 release candidate (f867cc6d75a93f9a8444e5e789e42407cc63chb05)

History

#1 - 2012-09-04 11:52 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2014-06-28 07:42 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2015-12-09 10:50 AM - Médéric RIBREUX

Hello, bug triage...

| think this is fixed (at least in QGIS 2.13 master): whenever | press on the text annotation, all other tools are automatically depressed (even in edit mode).

Can you confirm ?

#4 - 2015-12-09 10:52 AM - Médéric RIBREUX

- Status changed from Open to Feedback

#5 - 2015-12-26 03:42 AM - Giovanni Manghi

- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

this seems fixed, please reopen if necessary.
